Bug 152434 - [patch] net-p2p/amule-devel: update to r10386
Summary: [patch] net-p2p/amule-devel: update to r10386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-21 02:20 UTC by swell.k
Modified: 2010-11-24 02:10 UTC (History)
0 users

See Also:


Attachments
a.diff (4.36 KB, patch)
2010-11-21 02:20 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-11-21 02:20:07 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2010-11-21 02:20:14 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-11-21 02:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 3 swell.k 2010-11-21 03:05:36 UTC
Oops, AC_PATH_PROG() expects path. `update-mime-database' is already run
from @exec/@unexec + post-install in case you wonder.

--- b.diff begins here ---
diff --git net-p2p/amule-devel/Makefile net-p2p/amule-devel/Makefile
index 1b413dc..80ae83f 100644
--- net-p2p/amule-devel/Makefile
+++ net-p2p/amule-devel/Makefile
@@ -168,7 +168,7 @@ PLIST_SUB+=		MONOLITHIC="@comment "
 .if !defined(WITHOUT_PLASMAMULE)
 CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config \
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
-			UPDATE_MIME_DATABASE=${DO_NADA}
+			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
 USE_KDE4+=		kdelibs
 QT_COMPONENTS+=		dbus gui moc_build
--- b.diff ends here ---
Comment 4 swell.k 2010-11-22 04:12:37 UTC
regen and update to newer snapshot

--- a.diff begins here ---
Index: net-p2p/amule-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.46
diff -u -p -r1.46 Makefile
--- net-p2p/amule-devel/Makefile	24 Oct 2010 21:53:10 -0000	1.46
+++ net-p2p/amule-devel/Makefile	22 Nov 2010 03:55:01 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10310
+PORTVERSION=	10390
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -42,7 +42,7 @@ OPTIONS=	ALC "Compile aMule Link Creator
 		ALCC "Compile aMule Link Creator for console" on \
 		AMULECMD "Compile aMule command line client" on \
 		AMULEDAEMON "Compile aMule daemon version" on \
-		AMULEGUI "Compile aMule remote GUI (EXPERIMENTAL)" on \
+		AMULEGUI "Compile aMule remote GUI" on \
 		CAS "Compile aMule Statistics for console" on \
 		ED2K "Compile aMule ed2k links handler" on \
 		FILEVIEW "Compile file viewer for console (EXPERIMENTAL)" on \
@@ -166,7 +166,9 @@ PLIST_SUB+=		MONOLITHIC="@comment "
 .endif
 
 .if !defined(WITHOUT_PLASMAMULE)
-CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config
+CONFIGURE_ENV+=		ac_cv_path_KDE4_CONFIG=${KDE4_PREFIX}/bin/kde4-config \
+			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
+			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
 USE_KDE4+=		kdelibs
 QT_COMPONENTS+=		dbus gui moc_build
@@ -216,6 +218,7 @@ PLIST_SUB+=		XAS="@comment "
 post-patch:	.SILENT
 	${REINPLACE_CMD} -e '/LDFLAGS/s/-lpthread/${PTHREAD_LIBS}/' \
 		-e 's/test.*-print-file-name.*`/true/' \
+		-e '/if.*test/s/==/=/' \
 		${WRKSRC}/configure
 .if defined(NOPORTDOCS)
 	${REINPLACE_CMD} 's/install-data-am:.*/install-data-am:/' \
@@ -225,7 +228,6 @@ post-patch:	.SILENT
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
 		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
-		-e 's/\(plasmamule_so_\)LDFLAGS/\1CXXFLAGS/' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
Index: net-p2p/amule-devel/Makefile.man
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.8
diff -u -p -r1.8 Makefile.man
--- net-p2p/amule-devel/Makefile.man	19 Oct 2010 05:28:07 -0000	1.8
+++ net-p2p/amule-devel/Makefile.man	21 Nov 2010 01:48:09 -0000
@@ -11,6 +11,7 @@ MAN1_EN+=	alc.1
 MAN1_DE+=	alc.1
 MAN1_ES+=	alc.1
 MAN1_EU+=	alc.1
+MAN1_FR+=	alc.1
 MAN1_HU+=	alc.1
 MAN1_IT+=	alc.1
 . endif
@@ -55,6 +56,7 @@ MAN1_EN+=	wxcas.1
 MAN1_DE+=	wxcas.1
 MAN1_ES+=	wxcas.1
 MAN1_EU+=	wxcas.1
+MAN1_FR+=	wxcas.1
 MAN1_HU+=	wxcas.1
 MAN1_IT+=	wxcas.1
 . endif
Index: net-p2p/amule-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.18
diff -u -p -r1.18 distinfo
--- net-p2p/amule-devel/distinfo	19 Oct 2010 05:36:35 -0000	1.18
+++ net-p2p/amule-devel/distinfo	22 Nov 2010 03:55:26 -0000
@@ -1,3 +1,2 @@
-MD5 (aMule-SVN-r10310.tar.bz2) = ecd16ddc14e9604de50c5d1a85c4332c
-SHA256 (aMule-SVN-r10310.tar.bz2) = a7f73acf25983a185b5111e8badf70f62aee869b05c8a2abe9ea295a70d9e86f
-SIZE (aMule-SVN-r10310.tar.bz2) = 4507757
+SHA256 (aMule-SVN-r10390.tar.bz2) = 1611af6cebfee4b29f2f2fde0eacad9eef63459a8250a4cccd5a3665cadcf002
+SIZE (aMule-SVN-r10390.tar.bz2) = 4539683
Index: net-p2p/amule-devel/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.17
diff -u -p -r1.17 pkg-plist
--- net-p2p/amule-devel/pkg-plist	19 Oct 2010 05:28:07 -0000	1.17
+++ net-p2p/amule-devel/pkg-plist	29 Oct 2010 20:03:43 -0000
@@ -11,8 +11,8 @@
 %%PLASMAMULE%%share/mime/amule.xml
 %%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
 %%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-desktop-database %D/share/applications 2>/dev/null || true
-%%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
-%%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime 2>/dev/null || true
+%%PLASMAMULE%%@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime >/dev/null 2>&1 || true
+%%PLASMAMULE%%@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime >/dev/null 2>&1 || true
 %%PLASMAMULE%%@cwd
 %%ALC%%bin/alc
 %%ALCC%%bin/alcc
--- a.diff ends here ---
Comment 5 Philip M. Gollucci freebsd_committer 2010-11-24 02:08:46 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter service freebsd_committer 2010-11-24 02:08:48 UTC
pgollucci    2010-11-24 02:08:42 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/amule-devel  Makefile Makefile.man distinfo pkg-plist 
  Log:
  - Update to 10390
  
  PR:             ports/152434
  Submitted by:   Anonymous <swell.k@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.47      +6 -4      ports/net-p2p/amule-devel/Makefile
  1.9       +2 -0      ports/net-p2p/amule-devel/Makefile.man
  1.19      +2 -3      ports/net-p2p/amule-devel/distinfo
  1.18      +2 -2      ports/net-p2p/amule-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"